ImageCapabilities (Java Platform SE 8 )
Keywords: java.awt.ImageCapabilities class
Date: 2018-07-01

java.awt

## Class ImageCapabilities

- java.lang.Object
- - java.awt.ImageCapabilities

- All Implemented Interfaces:
    Cloneable

      public class ImageCapabilities
      extends Object
      implements Cloneable

  Capabilities and properties of images.
  Since:
    1.4

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageCapabilities(boolean accelerated)` Creates a new object for specifying image capabilities.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()` Creates and returns a copy of this object.
    `boolean` | `isAccelerated()` Returns `true` if the object whose capabilities are encapsulated in this `ImageCapabilities` can be or is accelerated.
    `boolean` | `isTrueVolatile()` Returns `true` if the `VolatileImage` described by this `ImageCapabilities` can lose its surfaces.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageCapabilities

          public ImageCapabilities(boolean accelerated)

      Creates a new object for specifying image capabilities.
      Parameters:
        `accelerated` - whether or not an accelerated image is desired

  - ### Method Detail

    - #### isAccelerated

          public boolean isAccelerated()

      Returns `true` if the object whose capabilities are encapsulated in this `ImageCapabilities` can be or is accelerated.
      Returns:
        whether or not an image can be, or is, accelerated. There are various platform-specific ways to accelerate an image, including pixmaps, VRAM, AGP. This is the general acceleration method (as opposed to residing in system memory).

    - #### isTrueVolatile

          public boolean isTrueVolatile()

      Returns `true` if the `VolatileImage` described by this `ImageCapabilities` can lose its surfaces.
      Returns:
        whether or not a volatile image is subject to losing its surfaces at the whim of the operating system.

    - #### clone

          public Object clone()

      Description copied from class: `Object`
      Creates and returns a copy of this object. The precise meaning of "copy" may depend on the class of the object. The general intent is that, for any object `x`, the expression:

      >      x.clone() != x

      will be true, and that the expression:

      >      x.clone().getClass() == x.getClass()

      will be `true`, but these are not absolute requirements. While it is typically the case that:

      >      x.clone().equals(x)

      will be `true`, this is not an absolute requirement.

      By convention, the returned object should be obtained by calling `super.clone`. If a class and all of its superclasses (except `Object`) obey this convention, it will be the case that `x.clone().getClass() == x.getClass()`.

      By convention, the object returned by this method should be independent of this object (which is being cloned). To achieve this independence, it may be necessary to modify one or more fields of the object returned by `super.clone` before returning it. Typically, this means copying any mutable objects that comprise the internal "deep structure" of the object being cloned and replacing the references to these objects with references to the copies. If a class contains only primitive fields or references to immutable objects, then it is usually the case that no fields in the object returned by `super.clone` need to be modified.

      The method `clone` for class `Object` performs a specific cloning operation. First, if the class of this object does not implement the interface `Cloneable`, then a `CloneNotSupportedException` is thrown. Note that all arrays are considered to implement the interface `Cloneable` and that the return type of the `clone` method of an array type `T[]` is `T[]` where T is any reference or primitive type. Otherwise, this method creates a new instance of the class of this object and initializes all its fields with exactly the contents of the corresponding fields of this object, as if by assignment; the contents of the fields are not themselves cloned. Thus, this method performs a "shallow copy" of this object, not a "deep copy" operation.

      The class `Object` does not itself implement the interface `Cloneable`, so calling the `clone` method on an object whose class is `Object` will result in throwing an exception at run time.

      Overrides:
        `clone` in class `Object`
      Returns:
        a copy of this ImageCapabilities object.
      See Also:
        `Cloneable`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.